---
title: Verify Token
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[User](https://developers.cloudflare.com/api/python/resources/user)

[Tokens](https://developers.cloudflare.com/api/python/resources/user/subresources/tokens)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Verify Token

user.tokens.verify() -> [TokenVerifyResponse](<https://developers.cloudflare.com/api/python/resources/user#(resource)%20user.tokens%20%3E%20(model)%20token_verify_response%20%3E%20(schema)>)

GET/user/tokens/verify

Test whether a token works.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### ReturnsExpand Collapse

<details>

<summary>

class TokenVerifyResponse: …

</summary>

id: str

Token identifier tag.

maxLength32

<a href="#(resource)%20user.tokens%20%3E%20(model)%20token_verify_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

status: Literal\["active", "disabled", "expired"]

Status of the token.

</summary>

One of the following:

"active"

<a href="#(resource)%20user.tokens%20%3E%20(model)%20token_verify_response%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

"disabled"

<a href="#(resource)%20user.tokens%20%3E%20(model)%20token_verify_response%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

"expired"

<a href="#(resource)%20user.tokens%20%3E%20(model)%20token_verify_response%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20user.tokens%20%3E%20(model)%20token_verify_response%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

expires\_on: Optional\[datetime]

The expiration time on or after which the JWT MUST NOT be accepted for processing.

formatdate-time

<a href="#(resource)%20user.tokens%20%3E%20(model)%20token_verify_response%20%3E%20(schema)%20%3E%20(property)%20expires_on">Link to this property</a>

not\_before: Optional\[datetime]

The time before which the token MUST NOT be accepted for processing.

formatdate-time

<a href="#(resource)%20user.tokens%20%3E%20(model)%20token_verify_response%20%3E%20(schema)%20%3E%20(property)%20not_before">Link to this property</a>

</details>

[Link to this property](<#(resource)%20user.tokens%20%3E%20(model)%20token_verify_response%20%3E%20(schema)>)

### Verify Token

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.user.tokens.verify()
print(response.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "ed17574386854bf78a67040be0a770b0",
    "status": "active",
    "expires_on": "2020-01-01T00:00:00Z",
    "not_before": "2018-07-01T05:20:00Z"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "ed17574386854bf78a67040be0a770b0",
    "status": "active",
    "expires_on": "2020-01-01T00:00:00Z",
    "not_before": "2018-07-01T05:20:00Z"
  }
}
```